package org.jeecg.modules.checkData.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 检查数据-设备检查记录数据-钢轨波磨设备检查记录表
 * </p>
 *
 * @author hkl
 * @since 2024-07-11
 */
@Getter
@Setter
@ApiModel(value = "CorrugationRecord对象", description = "检查数据-设备检查记录数据-钢轨波磨设备检查记录表	")

public class CorrugationRecordDTO {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建日期")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("设备检查记录主表id")
    private String recordsMasterCheckId;

    @ApiModelProperty("检查设备id")
    private String deviceProjectId;

    @ApiModelProperty("检查设备Code")
    private String deviceProjectCode;

    @ApiModelProperty("检查设备类型（1-钢轨,2-曲线,3-竖曲线,4-道岔）")
    private Integer deviceProjectType;

    @ApiModelProperty("曲线半径")
    private BigDecimal curveRadius;

    @ApiModelProperty("曲线超高")
    private BigDecimal superHigh;

    @ApiModelProperty("曲线长度")
    private BigDecimal curveLen;

    @ApiModelProperty("检查项目-波段-谷深(10-30)")
    private BigDecimal checkBandOne;

    @ApiModelProperty("检查项目-波段-谷深(30-100)")
    private BigDecimal checkBandTwo;

    @ApiModelProperty("检查项目-波段-谷深(100-300)")
    private BigDecimal checkBandThree;

    @ApiModelProperty("检查项目-波段-谷深(300-1000)")
    private BigDecimal checkBandFour;

    @ApiModelProperty("超限记录")
    private String overrunInfo;

    @ApiModelProperty("是否删除（0：未删除，1：已删除）")
    private String delFlag;


}
